Name:           perl-HTML-FormFu-MultiForm
Version:        1.00
Release:        9%{?dist}
Summary:        Handle multi-page/stage forms
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/HTML-FormFu-MultiForm/
Source0:        http://www.cpan.org/authors/id/C/CF/CFRANKS/HTML-FormFu-MultiForm-%{version}.tar.gz
# Do not use Test::Aggregate::Nested for running tests, bug #1231204
Patch0:         HTML-FormFu-MultiForm-1.00-Execute-tests-recusively-under-t.patch
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.30
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  sed
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(Clone) >= 0.31
BuildRequires:  perl(Crypt::CBC)
# Crypt::DES is a default cipher used by the Crypt::CBC, bug #1087536
BuildRequires:  perl(Crypt::DES)
BuildRequires:  perl(HTML::FormFu) >= 1.00
BuildRequires:  perl(HTML::FormFu::Attribute)
BuildRequires:  perl(HTML::FormFu::ObjectUtil)
BuildRequires:  perl(HTML::FormFu::QueryType::CGI)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Moose) >= 1.00
BuildRequires:  perl(MooseX::Attribute::Chained) >= 1.0.1
BuildRequires:  perl(overload)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Storable)
# Test:
# Test::Aggregate::Nested 0.371 disabled
BuildRequires:  perl(Test::More) >= 0.92
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Clone) >= 0.31
# Crypt::DES is a default cipher used by the Crypt::CBC, bug #1087536
Requires:       perl(Crypt::DES)
Requires:       perl(HTML::FormFu) >= 1.00
Requires:       perl(Moose) >= 1.00
Requires:       perl(MooseX::Attribute::Chained) >= 1.0.1

# Filter under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((Clone|HTML::FormFu|Moose|MooseX::Attribute::Chained)\\)$

%description
Multi-page support for HTML::FormFu, a Perl HTML form framework.

%prep
%setup -q -n HTML-FormFu-MultiForm-%{version}
%patch0 -p1
# Do not use Test::Aggregate::Nested for running tests, bug #1231204
rm t/aggregate.t
sed -i -e '/^t\/aggregate\.t/d' MANIFEST
mv t-aggregate/* t
find t -type f -exec sed -i -e 's|\<t-aggregate\>|t|' {} +
sed -i -e 's|^t-aggregate/|t/|' MANIFEST

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
# Disable hash key randomization to work around CPAN RT#91788
PERL_HASH_SEED=0 make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.00-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1.00-8
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.00-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Oct 02 2015 Petr Pisar <ppisar@redhat.com> - 1.00-6
- Do not use Test::Aggregate::Nested for tests because it's not available
  anymore (bug #1231204)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.00-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 08 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.00-4
- Perl 5.22 rebuild

* Mon Sep 01 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.00-3
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.00-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Apr 14 2014 Petr Pisar <ppisar@redhat.com> 1.00-1
- Specfile autogenerated by cpanspec 1.78.
